runtime: php  # language of the app
env: flex     # let app engine know we use flexible environment

runtime_config:
 document_root: public   #folder where index.php is
# Ensure we skip ".env", which is only for local development
skip_files:
 - .env #we want to skip this to make sure we don’t mess stuff up on the server
env_variables:
  APP_NAME: JobHero
  APP_ENV: production
  APP_URL: https://ichamba-1562349005909.uc.r.appspot.com
  APP_KEY: base64:PcEmB+UyS58h/Rg3EbYvZwOdbuQPNJkdpmAmmUqisXc=
  APP_DEBUG: false

  DB_CONNECTION: mysql
  DB_HOST: localhost
  DB_DATABASE: ichamba
  DB_USERNAME: root
  DB_PASSWORD: kcy14thngsvv1
  DB_SOCKET: "/cloudsql/ichamba-1562349005909:us-central1:ichamba-db"

  CACHE_DRIVER: file
  SESSION_DRIVER: cookie
  SESSION_SECURE_COOKIE: true

  MAIL_FROM_ADDRESS: info@jobheroglobal.com
  MAIL_FROM_NAME: JobHero
  MAIL_DRIVER: smtp
  MAIL_HOST: smtp.mailgun.org
  MAIL_PORT: 587
  MAIL_USERNAME: postmaster@jobheroglobal.com
  MAIL_PASSWORD: c1e3740d6639848eb247d5cbea9d2e62-64574a68-fe0c65f3
  MAIL_ENCRYPTION: tls

  FACEBOOK_CLIENT_ID: 342718733071161
  FACEBOOK_CLIENT_SECRET: 70c28c21e1dd554bc56e976ca5a026b9
  FACEBOOK_CALLBACK_URL: https://ichamba-1562349005909.appspot.com/auth/facebook/callback

  GOOGLE_CLIENT_ID: 679874302148-d2l085q04i4d6pt3hhac2rbfm14js7e5.apps.googleusercontent.com
  GOOGLE_CLIENT_SECRET: VRNEFsGO8KkreSeC132aFDYU
  GOOGLE_CALLBACK_URL: https://ichamba-1562349005909.appspot.com/auth/google/callback

  RECAPTCHA_V3_SECRET_KEY: 6Len0CwbAAAAADHR_Hphs2bros58vq2Yoav57NPs
  RECAPTCHA_V3_SITE_KEY: 6Len0CwbAAAAABE_elzeHQ-Aaez7AdnsD0MebI1x

  SECRET: vktxm0tRk6Hvh3fnbSfDMe6We1nQxKCKPnv9Wq5S
  PASS: wBIIKuDbrxNKzQhAUGiZLoaoQ4MichAN3wP2AP7B

  OPENPAY_ID: m9k4beuso5az0wjqztvt
  OPENPAY_APIKEY: sk_0eb5d4072ce64a189c1387a423c7d730

  GOOGLE_VISION_PROJECT_ID : ichamba-1562349005909

  GOOGLE_CLOUD_PROJECT_ID: ichamba-1562349005909
  GOOGLE_CLOUD_STORAGE_BUCKET: ichamba-1562349005909.appspot.com

automatic_scaling:
  min_num_instances: 1

beta_settings:
   # for Cloud SQL, set this value to the Cloud SQL connection name,
   # e.g. "project:region:cloudsql-instance"
   cloud_sql_instances: "ichamba-1562349005909:us-central1:ichamba-db"
